local assets=
{
	Asset("ANIM", "anim/papyrus.zip"),
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    inst.AnimState:SetBank("papyrus")
    inst.AnimState:SetBuild("papyrus")
    inst.AnimState:PlayAnimation("idle")
    MakeInventoryPhysics(inst)
    
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

inst:AddComponent("edible")
inst.components.edible.foodtype = "TWIFOOD"
inst.components.edible.healthvalue = 0
inst.components.edible.hungervalue = 8
inst.components.edible.sanityvalue = -30
    inst:AddComponent("inspectable")
    
    inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL
    
	MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME)
    MakeSmallPropagator(inst)
    
    
    inst:AddComponent("inventoryitem")
    

    return inst
end

return Prefab( "common/inventory/papyrus", fn, assets) 
