local STRINGS = GLOBAL.STRINGS

GLOBAL.STRINGS.NAMES.twicane = "twicane"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.twicane = "time to save the day"


PrefabFiles = {
	"twilight",
	"twicane"
}

Assets = {
        Asset( "IMAGE", "images/saveslot_portraits/twilight.tex" ),
        Asset( "IMAGE", "images/selectscreen_portraits/twilight.tex" ),
        Asset( "IMAGE", "images/selectscreen_portraits/twilight_silho.tex" ),
        Asset( "IMAGE", "bigportraits/twilight.tex" ),
        Asset( "IMAGE", "minimap/twicane.tex" ),

        Asset( "ATLAS", "images/saveslot_portraits/twilight.xml" ), 
        Asset( "ATLAS", "images/selectscreen_portraits/twilight.xml" ),
        Asset( "ATLAS", "images/selectscreen_portraits/twilight_silho.xml" ),
        Asset( "ATLAS", "bigportraits/twilight.xml" )
}

GetPlayer = GLOBAL.GetPlayer

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS


GLOBAL.STRINGS.CHARACTER_TITLES.twilight = "twilight"
GLOBAL.STRINGS.CHARACTER_NAMES.twilight = "twilight"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.twilight = "twilight"
GLOBAL.STRINGS.CHARACTER_QUOTES.twilight = "\"I am a blank slate.\""
GLOBAL.STRINGS.CHARACTERS.WOD = {}
GLOBAL.STRINGS.CHARACTERS.WOD.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.WOD.DESCRIBE.EVERGREEN = "A template description of a tree."


table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "twilight")

------------

local forbidden_foodset = {
	butterflywings = true,
	tallbirdegg = true,
	tallbirdegg_cooked = true,
	waffles = true,
}

function pickyeater(inst)
    if inst.prefab == "twilight" then
        inst.components.eater:SetCanEatTestFn(function(inst, food)
            return not food.prefab or not forbidden_foodset[food.prefab]
        end)
    end
end

AddSimPostInit(pickyeater)

AddModCharacter("twilight")

 